RDS-CREATE-DB-PARAMETER-GROUP(1)

NAME
rds-create-db-parameter-group - Create a database parameter group

SYNOPSIS

 rds-create-db-parameter-group
     DBParameterGroupName --db-parameter-group-family value --description
    value [General Options]

DESCRIPTION

    Create a database parameter group using the specified parameter group name,
 engine and description.

ARGUMENTS

 DBParameterGroupName
    User-supplied database parameter group name. Must not start with
    "default". You can also set this value using "--db-parameter-group-name".
    Required.

SPECIFIC OPTIONS

 -d, --description VALUE
    Description of the DB parameter group. Required.

 -f, --db-parameter-group-family VALUE
    The DB parameter group family. A DB parameter group can be associated
    with one and only one DB parameter group family, and can only be applied
    to a DB instance running a database engine compatible with that DB
    paramter group family. Required.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 This shows how to create a parameter group

 $PROMPT>rds-create-db-parameter-group mydbparametergroup1 -f mysql5.1 -d "My first database parameter group"

OUTPUT

 This command returns a table that contains the following:
 * Group Name - User-supplied database parameter group name.
 * Parameter Group Family - Parameter group family to which this group
 applies.
 * Description - Description of the database parameter group.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference